<div class="container form-container">
  <div class="title-text">
    <strong>{{ pageTitle }}</strong>
  </div>
  <form class="form-panel" [formGroup]="studentForm" (ngSubmit)="onSubmit()">
    <div class="form-group row">
      <label for="inputEmail3" class="col-sm-2 col-form-label">Full name</label>
      <div class="col-sm-10">
        <input
          type="text"
          class="form-control"
          id="inputEmail3"
          placeholder="Enter your full name"
          formControlName="fullName"
          name="fullName"
          [ngClass]="{
            'is-invalid': formErrors.fullName
          }"
          (blur)="logValidationErrors()"
        />

        <span
          class="text-danger validation-messagesize"
          *ngIf="formErrors.fullName"
          >{{ formErrors.fullName }}</span
        >
      </div>
    </div>

    <fieldset class="form-group">
      <div class="row">
        <legend class="col-form-label col-sm-2 pt-0">Gender</legend>
        <div class="col-sm-10">
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="gender"
              id="gridRadios1"
              value="Male"
              checked
              formControlName="gender"
            />
            <label class="form-check-label" for="gridRadios1">
              Male
            </label>
          </div>
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="gender"
              id="gridRadios2"
              value="Female"
              formControlName="gender"
            />
            <label class="form-check-label" for="gridRadios2">
              Female
            </label>
          </div>
        </div>
      </div>
    </fieldset>

    <div class="form-group row">
      <label for="inputEmail3" class="col-sm-2 col-form-label">Address</label>
      <div class="col-sm-10">
        <input
          type="text"
          class="form-control"
          id="inputEmail3"
          placeholder="Enter your adress"
          formControlName="address"
          [ngClass]="{
            'is-invalid': formErrors.address
          }"
          (blur)="logValidationErrors()"
        />

        <span
          class="text-danger validation-messagesize"
          *ngIf="formErrors.address"
          >{{ formErrors.address }}</span
        >
      </div>
    </div>

    <div class="form-group row">
      <label for="inputPassword3" class="col-sm-2 col-form-label"
        >Phone Number</label
      >
      <div class="col-sm-10">
        <input
          type="text"
          class="form-control"
          pattern="^((\+){0,1}977(\s){0,1}(\-){0,1}(\s){0,1}){0,1}98(\s){0,1}(\-){0,1}(\s){0,1}[1-9]{1}[0-9]{7}$"
          id="inputPassword3"
          placeholder="eg. +9779836454768"
          formControlName="phoneNumber"
          [ngClass]="{
            'is-invalid': formErrors.phoneNumber
          }"
          (blur)="logValidationErrors()"
        />

        <span
          class="text-danger validation-messagesize"
          *ngIf="formErrors.phoneNumber"
          >{{ formErrors.phoneNumber }}</span
        >

        <small
          class="text-danger"
          *ngIf="
            studentForm.controls.phoneNumber.errors &&
            studentForm.controls.phoneNumber.errors.pattern &&
            studentForm.controls.phoneNumber.touched
          "
          >phonenumber is invalid</small
        >
      </div>
    </div>
    <div class="form-group row">
      <div class="col-sm-10">
        <button
          type="submit"
          class="btn btn-primary"
          [disabled]="studentForm.invalid"
        >
          Submit
        </button>
      </div>
    </div>
  </form>
</div>
